<template>
  <b-container>
    <b-row no-gutters align-h="center">
      <b-col align="center">
        <!-- Coscine Logo -->
        <img
          v-if="currentTheme === 'dark'"
          alt="Coscine Logo"
          src="@/assets/svg/coscine_white.svg"
        />
        <img v-else alt="Coscine Logo" src="@/assets/svg/coscine_rgb.svg" />
      </b-col>
    </b-row>
    <b-col align="center">
      <!-- Status Code -->
      <div class="statusCode">{{ $t("page.notFound.statusCode") }}</div>
      <!-- Page Title -->
      <div class="h1 text-light mb-5">{{ $t("page.notFound.subtitle") }}</div>
      <!-- Page Description -->
      <div>{{ $t("page.notFound.description") }}</div>
      <!-- Button Go back home -->
      <b-button class="m-3" variant="primary" @click="goBack">{{
        $t("buttons.back")
      }}</b-button>
    </b-col>
  </b-container>
</template>

<script lang="ts">
import useMainStore from "@/store/index";

import type { Theme } from "@/store/types";

export default defineComponent({
  setup() {
    const mainStore = useMainStore();

    return { mainStore };
  },

  computed: {
    currentTheme(): Theme {
      return this.mainStore.currentTheme;
    },
  },

  mounted() {
    document.title = this.$t("title.error.notFound").toString();
  },

  methods: {
    goBack() {
      this.$router.back();
    },
  },
});
</script>

<style scoped>
.statusCode {
  font-size: 10rem;
  color: var(--bs-primary-bg-subtle);
}
</style>
